<?php

/**
 * Typography
 */
bring_back_Kirki::add_panel('typography_panel', array(
    'priority' => 40,
    'title' => esc_html__('Typography Settings', 'bring-back')
));

// Site Layout Section

bring_back_Kirki::add_section('body_typography_section', array(
    'title' => esc_html__('Body Font Family', 'bring-back'),
    'panel' => 'typography_panel',
    'priority' => 10,
));

// Body Typography

bring_back_Kirki::add_field('bring_back', array(
    'type' => 'typography',
    'settings' => 'body_typography',
    'label' => esc_html__('Select Body Font Family', 'bring-back'),
    'section' => 'body_typography_section',
    'transport' => 'auto',
    'default' => array(
        'font-family' => 'Nunito',
        'variant' => '600',
        'font-size' => '17px',
        'line-height' => '1.5',
        'letter-spacing' => '0',
        'text-transform' => 'none'
    ),
    'priority' => 10,
    'output' => array(
        array(
            'element' => 'body,.elementor-widget-text-editor',
        )
    )
));

// Site Layout Section

bring_back_Kirki::add_section('heading_typography_section', array(
    'title' => esc_html__('Heading Font Family', 'bring-back'),
    'panel' => 'typography_panel',
    'priority' => 10,
));

// Heading Typography

bring_back_Kirki::add_field('bring_back', array(
    'type' => 'typography',
    'settings' => 'heading_typography',
    'label' => esc_html__('Select Heading Font Family', 'bring-back'),
    'section' => 'heading_typography_section',
    'transport' => 'auto',
    'default' => array(
        'font-family' => 'Josefin Sans',
        'variant' => '600',
        'text-transform' => 'none'
    ),
    'priority' => 10,
    'output' => array(
        array(
            'element' => '.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6, h1 a, h2 a, h3 a, h4 a, h5 a, h6 a,.elementor-widget-heading .elementor-heading-title'
        )
    )
));

// H1

bring_back_Kirki::add_field('bring_back', array(
    'type' => 'slider',
    'settings' => 'heading_h1',
    'label' => esc_html__('Font size H1', 'bring-back'),
    'section' => 'heading_typography_section',
    'default' => 38,
    'transport' => 'auto',
    'choices' => array(
        'min' => 16,
        'max' => 100,
        'step' => 1,
    ),
    'output' => array(
        array(
            'element' => '.h1, h1',
            'property' => 'font-size',
            'units' => 'px',
        )
    )
));

// H2

bring_back_Kirki::add_field('bring_back', array(
    'type' => 'slider',
    'settings' => 'heading_h2',
    'label' => esc_html__('Font size H2', 'bring-back'),
    'section' => 'heading_typography_section',
    'default' => 35,
    'transport' => 'auto',
    'choices' => array(
        'min' => 16,
        'max' => 100,
        'step' => 1
    ),
    'output' => array(
        array(
            'element' => '.h2, h2',
            'property' => 'font-size',
            'units' => 'px',
        )
    )
));

// H3

bring_back_Kirki::add_field('bring_back', array(
    'type' => 'slider',
    'settings' => 'heading_h3',
    'label' => esc_html__('Font size H3', 'bring-back'),
    'section' => 'heading_typography_section',
    'default' => 25,
    'transport' => 'auto',
    'choices' => array(
        'min' => 16,
        'max' => 100,
        'step' => 1
    ),
    'output' => array(
        array(
            'element' => '.h3, h3',
            'property' => 'font-size',
            'units' => 'px',
        )
    )
));

// H4

bring_back_Kirki::add_field('bring_back', array(
    'type' => 'slider',
    'settings' => 'heading_h4',
    'label' => esc_html__('Font size H4', 'bring-back'),
    'section' => 'heading_typography_section',
    'default' => 15,
    'transport' => 'auto',
    'choices' => array(
        'min' => 10,
        'max' => 100,
        'step' => 1
    ),
    'output' => array(
        array(
            'element' => '.h4, h4,.footer h4',
            'property' => 'font-size',
            'units' => 'px',
        ),
    )
));

// H5

bring_back_Kirki::add_field('bring_back', array(
    'type' => 'slider',
    'settings' => 'heading_h5',
    'label' => esc_html__('Font size H5', 'bring-back'),
    'section' => 'heading_typography_section',
    'default' => 16,
    'transport' => 'auto',
    'choices' => array(
        'min' => 8,
        'max' => 100,
        'step' => 1
    ),
    'output' => array(
        array(
            'element' => '.h5, h5',
            'property' => 'font-size',
            'units' => 'px',
        )
    )
));

// H6

bring_back_Kirki::add_field('bring_back', array(
    'type' => 'slider',
    'settings' => 'heading_h6',
    'label' => esc_html__('Font size H6', 'bring-back'),
    'section' => 'heading_typography_section',
    'default' => 12,
    'transport' => 'auto',
    'choices' => array(
        'min' => 8,
        'max' => 100,
        'step' => 1,
    ),
    'output' => array(
        array(
            'element' => '.h6, h6',
            'property' => 'font-size',
            'units' => 'px',
        )
    )
));